Search.setIndex({"docnames": ["api", "api/attributes", "api/cache", "api/collections", "api/interfaces", "api/pickling", "glossary", "index", "using"], "filenames": ["api.rst", "api/attributes.rst", "api/cache.rst", "api/collections.rst", "api/interfaces.rst", "api/pickling.rst", "glossary.rst", "index.rst", "using.rst"], "titles": ["<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">persistent</span></code> API documentation", "Customizing Attribute Access", "Caching Persistent Objects", "Persistent Collections", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">persistent.interfaces</span></code>", "Pickling Persistent Objects", "Glossary", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">persistent</span></code>:  automatic persistence for Python objects", "Using <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">persistent</span></code> in your application"], "terms": {"interfac": [0, 2, 7, 8], "ipersist": [0, 4, 8], "ipersistentdatamanag": [0, 4, 8], "ipicklecach": [0, 4], "implement": [0, 1, 2, 7], "collect": [0, 4, 7], "custom": [0, 4, 5, 7, 8], "attribut": [0, 4, 5, 6, 7], "access": [0, 2, 4, 6, 7, 8], "hook": 0, "__getattr__": [0, 8], "all": [0, 4, 8], "pickl": [0, 4, 6, 7], "object": [0, 1, 4, 6], "cach": [0, 1, 4, 6, 7], "creat": [0, 1, 4, 8], "de": 0, "novo": 0, "The": [1, 2, 3, 4, 5, 6, 7], "method": [1, 2, 4, 8], "work": [1, 5, 8], "pretti": 1, "much": 1, "same": [1, 8], "persist": [1, 6], "class": [1, 2, 4, 5, 8], "doe": [1, 4], "other": [1, 4, 8], "No": 1, "special": [1, 4, 8], "handl": [1, 4, 8], "i": [1, 2, 4, 6, 8], "need": [1, 8], "If": [1, 4, 8], "an": [1, 2, 4, 6, 7], "ghost": [1, 2, 4, 6, 8], "activ": [1, 4, 6, 8], "befor": [1, 4, 8], "call": [1, 2, 4, 6, 8], "In": [1, 4], "thi": [1, 4, 5, 7, 8], "exampl": [1, 8], "our": [1, 4], "return": [1, 4, 8], "tupl": [1, 4], "name": [1, 4, 8], "convert": 1, "upper": 1, "case": [1, 8], "valu": [1, 4, 5, 8], "_p_chang": [1, 2, 4, 8], "ani": [1, 4, 5, 6, 8], "isn": [1, 8], "t": [1, 2, 4, 5, 8], "default": [1, 4, 8], "machineri": [1, 5, 8], "from": [1, 2, 4, 5, 6, 7], "test": [1, 2, 4, 5], "attrhook": 1, "import": [1, 2, 5, 8], "overridesgetattr": 1, "o": [1, 4], "fals": [1, 4, 8], "_p_oid": [1, 2, 4, 8], "_p_jar": [1, 2, 4, 8], "spam": [1, 5], "1": [1, 2, 5, 8], "we": [1, 4, 5, 8], "ll": 1, "save": [1, 4, 8], "so": [1, 2, 8], "can": [1, 2, 4, 8], "deactiv": [1, 4, 6, 8], "_resettingjar": 1, "jar": [1, 2, 6, 8], "add": [1, 2, 4], "_p_deactiv": [1, 2, 4, 8], "And": 1, "now": 1, "ask": [1, 8], "doesn": [1, 2, 4, 8], "have": [1, 2, 4, 5, 8], "egg": 1, "see": [1, 4], "wa": [1, 4, 8], "provid": [1, 2, 3, 4, 8], "show": 1, "how": [1, 4, 8], "overrid": [1, 2, 4, 5, 7], "store": [1, 6, 8], "": [1, 2, 4, 5, 6, 8], "secret": 1, "dictionari": 1, "within": 1, "instanc": [1, 8], "polici": [1, 4], "variabl": 1, "start": 1, "tmp_": 1, "volatil": [1, 5, 6, 8], "sampl": 1, "take": 1, "initi": [1, 2, 8], "keyword": 1, "argument": [1, 4], "constructor": 1, "verypriv": 1, "x": [1, 5, 8], "It": [1, 4, 5, 7], "support": [1, 5], "inherit": [1, 7], "y": [1, 5], "traceback": [1, 8], "most": [1, 8], "recent": [1, 8], "last": [1, 4, 8], "attributeerror": 1, "next": 1, "databas": [1, 4, 7, 8], "_rememberingjar": 1, "get": [1, 4, 8], "some": [1, 4, 8], "data": [1, 2, 4, 6, 7], "which": [1, 4, 5, 6, 8], "miss": [1, 8], "too": 1, "assign": [1, 2, 4, 5, 8], "implementor": 1, "must": [1, 4, 8], "_p_setattr": [1, 4, 8], "first": [1, 4, 8], "allow": [1, 4], "make": [1, 4, 5, 7, 8], "sure": [1, 4], "necessari": [1, 4], "set": [1, 4, 8], "mark": [1, 4, 8], "chang": [1, 4, 6, 8], "becaus": [1, 6, 8], "directli": [1, 2], "don": [1, 4, 8], "kei": [1, 8], "__dict__": [1, 5, 8], "give": 1, "rememb": 1, "modifi": [1, 4, 8], "2": [1, 5, 8], "reactiv": 1, "true": [1, 2, 4, 5, 8], "fake": 1, "commit": [1, 4], "fake_commit": 1, "tmp_foo": 1, "3": [1, 4, 5, 8], "delet": [1, 2, 4, 8], "_p_delattr": [1, 4, 8], "tmp_z": 1, "del": [1, 8], "also": [1, 4, 6, 8], "attempt": [1, 8], "find": 1, "valueerror": [1, 4, 8], "ar": [1, 2, 3, 4, 5, 6, 8], "none": [1, 2, 4, 8], "scratch": 2, "oppos": 2, "ghostifi": [2, 4], "non": [2, 4, 8], "rather": 2, "tricki": 2, "iperist": 2, "realli": 2, "right": 2, "given": [2, 4, 6], "_p_invalid": [2, 4, 8], "could": [2, 4], "assum": [2, 8], "state": [2, 4, 5, 6, 8], "properli": 2, "just": 2, "current": [2, 4, 8], "intim": 2, "ti": 2, "up": [2, 4], "ha": [2, 4, 6, 8], "intern": [2, 8], "updat": [2, 4], "newli": 2, "uniniti": 2, "futur": 2, "far": 2, "more": 2, "decoupl": 2, "onli": [2, 4], "manag": [2, 4, 6, 7], "gener": [2, 7], "usag": 2, "event": 2, "respons": [2, 6, 8], "relat": 2, "meta": [2, 4], "_p_state": [2, 4, 7], "etc": [2, 8], "central": 2, "inform": 2, "new_ghost": [2, 4], "its": [2, 4, 6, 7], "util": 2, "resettingjar": 2, "c": [2, 4, 5], "pass": [2, 4, 8], "picklecach": 2, "10": 2, "100": 2, "ob": [2, 8], "__new__": 2, "b": [2, 8], "cache_non_ghost_count": [2, 4], "0": [2, 4, 5, 8], "packag": [3, 4, 7], "two": [3, 4], "simpl": [3, 5], "keep": [3, 4, 8], "track": [3, 8], "when": [3, 4, 8], "thei": [3, 4, 8], "mutat": [3, 6, 8], "place": 3, "sourc": 4, "python": [4, 5, 8], "A": [4, 8], "one": [4, 8], "sever": 4, "unsav": 4, "been": [4, 6, 8], "sinc": [4, 8], "sticki": 4, "ident": 4, "except": [4, 8], "cannot": 4, "transit": 4, "us": [4, 7], "unload": 4, "middl": 4, "comput": 4, "There": 4, "api": [4, 7], "detect": 4, "whether": 4, "memori": 4, "load": [4, 5, 6, 8], "contain": [4, 7, 8], "applic": [4, 7], "obtain": 4, "abov": 4, "id": [4, 8], "follow": 4, "possibl": 4, "occur": 4, "usual": 4, "happen": 4, "ad": 4, "e": [4, 8], "g": [4, 8], "item": 4, "transact": [4, 8], "someon": 4, "requir": [4, 8], "regist": [4, 8], "itself": 4, "prior": 4, "zodb": [4, 7, 8], "6": 4, "ignor": [4, 5], "remain": [4, 8], "continu": 4, "code": 4, "prevent": 4, "invalid": [4, 6, 8], "discuss": 4, "below": [4, 8], "unmark": 4, "after": [4, 5, 8], "dure": [4, 6], "abort": 4, "oper": 4, "note": [4, 5, 8], "separ": 4, "includ": [4, 8], "here": 4, "specif": 4, "layout": 4, "defin": [4, 5, 8], "about": 4, "intend": 4, "short": [4, 6], "live": 4, "being": [4, 8], "discard": [4, 6], "while": 4, "re": 4, "routin": 4, "error": 4, "request": [4, 8], "becom": 4, "optim": 4, "mai": 4, "equival": 4, "wai": [4, 8], "prefer": 4, "semant": 4, "normal": [4, 5, 8], "howev": 4, "immedi": [4, 8], "reload": [4, 8], "repr": [4, 8], "By": 4, "subclass": [4, 8], "option": 4, "_p_repr": [4, 7], "result": 4, "instead": [4, 8], "rais": [4, 8], "caught": 4, "should": 4, "constraint": [4, 8], "enforc": 4, "onc": [4, 8], "anoth": 4, "reserv": 4, "indic": 4, "empti": 4, "string": 4, "8": 4, "byte": 4, "consist": 4, "nul": 4, "identifi": 4, "root": 4, "oid": [4, 8], "never": 4, "even": [4, 5, 8], "At": 4, "forc": [4, 8], "independ": 4, "exist": 4, "although": 4, "_p_serial": [4, 8], "serial": [4, 6], "number": 4, "member": 4, "distiguish": 4, "distinct": 4, "revis": 4, "unicod": 4, "_p_mtime": 4, "modif": [4, 8], "time": [4, 8], "read": 4, "float": 4, "repres": [4, 8], "second": 4, "epoch": 4, "token": 4, "uptod": [4, 6, 8], "_p_estimated_s": [4, 8], "estim": [4, 7], "size": [4, 7], "__getattribute__": [4, 8], "_p_": [4, 5, 8], "__setattr__": [4, 8], "__delattr__": [4, 8], "__getstate__": [4, 5, 8], "_p_name": 4, "picklabl": 4, "__setstate__": [4, 5, 8], "__reduce__": [4, 5], "reduc": [4, 8], "contitu": 4, "part": [4, 6], "_p_activ": [4, 8], "possibli": 4, "reason": [4, 8], "choos": 4, "caus": [4, 6, 8], "thrown": 4, "awai": 4, "move": [4, 6, 8], "further": 4, "_p_getattr": [4, 8], "base": [4, 5, 8], "unghostifi": 4, "record": 4, "do": [4, 5, 8], "anyth": 4, "els": 4, "deleg": [4, 8], "servic": 4, "interact": [4, 7, 8], "context": 4, "_cach": [4, 8], "associ": [4, 6, 7], "connect": [4, 8], "setstat": [4, 8], "end": 4, "oldstat": 4, "obj": 4, "tid": 4, "copi": 4, "written": 4, "typic": 4, "metadata": 4, "m": 4, "refer": [4, 6, 8], "perist": 4, "paramet": 4, "wrote": 4, "earlier": [4, 8], "keyerror": 4, "each": [4, 8], "thread": 4, "__getitem__": 4, "found": 4, "__setitem__": 4, "under": 4, "duplic": 4, "__delitem__": 4, "remov": [4, 8], "__len__": 4, "sequenc": 4, "p": [4, 8], "ringlen": 4, "ring": 4, "lru_item": 4, "lru": 4, "order": [4, 8], "klass_item": 4, "incrgc": 4, "perform": 4, "increment": 4, "garbag": 4, "sweep": 4, "cache_s": 4, "skip": 4, "dirti": 4, "quit": 4, "down": 4, "full_sweep": 4, "full": 4, "objec": 4, "minim": 4, "alia": [4, 6], "xxx": 4, "ensur": [4, 8], "alreadi": 4, "to_invalid": 4, "treat": 4, "otherwis": 4, "iter": 4, "over": 4, "correspond": 4, "For": [4, 8], "corrspond": 4, "debug_info": 4, "debug": 4, "refcount": 4, "typenam": 4, "update_object_size_estim": 4, "new_siz": 4, "known": 4, "target": 4, "cache_drain_resist": 4, "factor": 4, "drain": 4, "differ": [4, 8], "cache_data": 4, "properti": 4, "dict": [4, 8], "cache_klass_count": 4, "len": 4, "persistent_class": 4, "extend": 4, "design": 5, "standard": 5, "happi": 5, "cucumb": 5, "print_dict": 5, "aaa": 5, "bbb": 5, "foo": 5, "__name__": 5, "f": 5, "__newobj__": 5, "__module__": 5, "replac": [5, 8], "_": 5, "python2": 5, "copyreg": 5, "dump": 5, "z": 5, "well": [5, 8], "deriv": [5, 8], "__getnewargs__": 5, "99": 5, "ax": 5, "ai": 5, "__slots__": 5, "slot": 5, "map": 5, "onto": 5, "namespac": 5, "prefix": [5, 8], "_v_": 5, "subslot": 5, "haven": 5, "yet": [5, 6, 8], "s4": 5, "d": 5, "s1": 5, "s2": 5, "s3": 5, "__slot": 5, "attr": 5, "themselv": [5, 8], "subsubslot": 5, "bar": 5, "baz": 5, "bam": 5, "back": [6, 8], "whose": [6, 8], "either": [6, 8], "tradition": 6, "hold": 6, "mru": [6, 8], "retriev": 6, "captur": 6, "These": 6, "thu": 6, "disappear": 6, "form": 7, "core": 7, "protocol": 7, "transpar": 7, "content": 7, "your": 7, "relationship": 7, "without": 7, "explicitli": 7, "control": 7, "document": 7, "glossari": 7, "index": 7, "modul": 7, "search": 7, "page": 7, "basic": 8, "mechan": 8, "mix": 8, "automat": 8, "capabl": 8, "notifi": 8, "creation": 8, "sort": 8, "maintain": 8, "until": 8, "point": 8, "subsequ": 8, "list": 8, "least": 8, "stub": 8, "def": 8, "__init__": 8, "self": 8, "_mru": 8, "append": 8, "zope": 8, "dm": 8, "42": 8, "notic": 8, "alwai": 8, "still": 8, "inc": 8, "behav": 8, "extra": 8, "three": 8, "flag": 8, "integ": 8, "lifecycl": 8, "constant": 8, "print": 8, "uniqu": 8, "effect": 8, "try": 8, "behavior": 8, "00000012": 8, "addit": 8, "side": 8, "candid": 8, "storag": 8, "later": 8, "you": 8, "describ": 8, "persistentlist": 8, "persistentmap": 8, "expos": 8, "out": 8, "_p_activate_p_deactiv": 8, "rest": 8, "put": 8, "43": 8, "op": 8, "between": 8, "manual": 8, "reset": 8, "field": 8, "retain": 8, "coercibl": 8, "exactli": 8, "unpickl": 8, "leav": 8, "5": 8, "those": 8, "begin": 8, "_v__": 8, "unlik": 8, "_v_foo": 8, "affect": 8, "Its": 8, "help": 8, "strategi": 8, "bound": 8, "1000": 8, "1024": 8, "huh": 8, "why": 8, "come": 8, "than": 8, "what": 8, "backward": 8, "compat": 8, "fit": 8, "24": 8, "bit": 8, "adjust": 8, "somewhat": 8, "Of": 8, "cours": 8, "neg": 8, "obei": 8, "__class__": 8, "like": 8, "regular": 8, "version": 8, "represent": 8, "benefit": 8, "__repr__": 8, "safer": 8, "close": 8}, "objects": {"persistent": [[4, 0, 0, "-", "interfaces"]], "persistent.interfaces": [[4, 1, 1, "", "IPersistent"], [4, 1, 1, "", "IPersistentDataManager"], [4, 1, 1, "", "IPickleCache"]], "persistent.interfaces.IPersistent": [[4, 2, 1, "", "__delattr__"], [4, 2, 1, "", "__getattribute__"], [4, 2, 1, "", "__getstate__"], [4, 2, 1, "", "__reduce__"], [4, 2, 1, "", "__setattr__"], [4, 2, 1, "", "__setstate__"], [4, 2, 1, "", "_p_activate"], [4, 3, 1, "", "_p_changed"], [4, 2, 1, "", "_p_deactivate"], [4, 2, 1, "", "_p_delattr"], [4, 3, 1, "", "_p_estimated_size"], [4, 2, 1, "", "_p_getattr"], [4, 2, 1, "", "_p_invalidate"], [4, 3, 1, "", "_p_jar"], [4, 3, 1, "", "_p_mtime"], [4, 3, 1, "", "_p_oid"], [4, 3, 1, "", "_p_serial"], [4, 2, 1, "", "_p_setattr"], [4, 3, 1, "", "_p_state"]], "persistent.interfaces.IPersistentDataManager": [[4, 3, 1, "", "_cache"], [4, 2, 1, "", "oldstate"], [4, 2, 1, "", "register"], [4, 2, 1, "", "setstate"]], "persistent.interfaces.IPickleCache": [[4, 2, 1, "", "__delitem__"], [4, 2, 1, "", "__getitem__"], [4, 2, 1, "", "__len__"], [4, 2, 1, "", "__setitem__"], [4, 3, 1, "", "cache_data"], [4, 3, 1, "", "cache_drain_resistance"], [4, 3, 1, "", "cache_klass_count"], [4, 3, 1, "", "cache_non_ghost_count"], [4, 3, 1, "", "cache_size"], [4, 2, 1, "", "debug_info"], [4, 2, 1, "", "full_sweep"], [4, 2, 1, "", "get"], [4, 2, 1, "", "incrgc"], [4, 2, 1, "", "invalidate"], [4, 2, 1, "", "items"], [4, 2, 1, "", "klass_items"], [4, 2, 1, "", "lru_items"], [4, 2, 1, "", "minimize"], [4, 2, 1, "", "new_ghost"], [4, 2, 1, "", "ringlen"], [4, 2, 1, "", "update_object_size_estimation"]]}, "objtypes": {"0": "py:module", "1": "py:interface", "2": "py:method", "3": "py:attribute"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "interface", "Python interface"], "2": ["py", "method", "Python method"], "3": ["py", "attribute", "Python attribute"]}, "titleterms": {"persist": [0, 2, 3, 4, 5, 7, 8], "api": 0, "document": 0, "custom": 1, "attribut": [1, 8], "access": 1, "hook": 1, "__getattr__": 1, "all": 1, "__getattribute__": 1, "__setattr__": 1, "__delattr__": 1, "cach": [2, 8], "object": [2, 5, 7, 8], "creat": 2, "de": 2, "novo": 2, "collect": 3, "interfac": 4, "implement": [4, 8], "pickl": [5, 8], "glossari": 6, "automat": 7, "python": 7, "indic": 7, "tabl": 7, "us": 8, "your": 8, "applic": 8, "inherit": 8, "from": 8, "relationship": 8, "data": 8, "manag": 8, "its": 8, "without": 8, "associ": 8, "an": 8, "explicitli": 8, "control": 8, "_p_state": 8, "The": 8, "protocol": 8, "estim": 8, "size": 8, "overrid": 8, "_p_repr": 8}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx.ext.todo": 2, "sphinx.ext.viewcode": 1, "sphinx": 57}, "alltitles": {"persistent API documentation": [[0, "persistent-api-documentation"]], "Customizing Attribute Access": [[1, "customizing-attribute-access"]], "Hooking __getattr__()": [[1, "hooking-getattr"]], "Hooking All Access": [[1, "hooking-all-access"]], "Hooking __getattribute__`()": [[1, "hooking-getattribute"]], "Hooking __setattr__`()": [[1, "hooking-setattr"]], "Hooking __delattr__`()": [[1, "hooking-delattr"]], "Caching Persistent Objects": [[2, "caching-persistent-objects"]], "Creating Objects de novo": [[2, "creating-objects-de-novo"]], "Persistent Collections": [[3, "persistent-collections"]], "persistent.interfaces": [[4, "module-persistent.interfaces"]], "Implementations": [[4, "implementations"]], "Pickling Persistent Objects": [[5, "pickling-persistent-objects"]], "Glossary": [[6, "glossary"]], "persistent:  automatic persistence for Python objects": [[7, "persistent-automatic-persistence-for-python-objects"]], "Indices and tables": [[7, "indices-and-tables"]], "Using persistent in your application": [[8, "using-persistent-in-your-application"]], "Inheriting from persistent.Persistent": [[8, "inheriting-from-persistent-persistent"]], "Relationship to a Data Manager and its Cache": [[8, "relationship-to-a-data-manager-and-its-cache"]], "Persistent objects without a Data Manager": [[8, "persistent-objects-without-a-data-manager"]], "Associating an Object with a Data Manager": [[8, "associating-an-object-with-a-data-manager"]], "Explicitly controlling _p_state": [[8, "explicitly-controlling-p-state"]], "The pickling protocol": [[8, "the-pickling-protocol"]], "Estimated Object Size": [[8, "estimated-object-size"]], "Overriding the attribute protocol": [[8, "overriding-the-attribute-protocol"]], "Implementing _p_repr": [[8, "implementing-p-repr"]]}, "indexentries": {"ipersistent (interface in persistent.interfaces)": [[4, "persistent.interfaces.IPersistent"]], "ipersistentdatamanager (interface in persistent.interfaces)": [[4, "persistent.interfaces.IPersistentDataManager"]], "ipicklecache (interface in persistent.interfaces)": [[4, "persistent.interfaces.IPickleCache"]], "__delattr__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__delattr__"]], "__delitem__() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.__delitem__"]], "__getattribute__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__getattribute__"]], "__getitem__() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.__getitem__"]], "__getstate__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__getstate__"]], "__len__() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.__len__"]], "__reduce__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__reduce__"]], "__setattr__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__setattr__"]], "__setitem__() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.__setitem__"]], "__setstate__() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent.__setstate__"]], "_cache (persistent.interfaces.ipersistentdatamanager attribute)": [[4, "persistent.interfaces.IPersistentDataManager._cache"]], "_p_activate() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_activate"]], "_p_changed (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_changed"]], "_p_deactivate() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_deactivate"]], "_p_delattr() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_delattr"]], "_p_estimated_size (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_estimated_size"]], "_p_getattr() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_getattr"]], "_p_invalidate() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_invalidate"]], "_p_jar (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_jar"]], "_p_mtime (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_mtime"]], "_p_oid (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_oid"]], "_p_serial (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_serial"]], "_p_setattr() (persistent.interfaces.ipersistent method)": [[4, "persistent.interfaces.IPersistent._p_setattr"]], "_p_state (persistent.interfaces.ipersistent attribute)": [[4, "persistent.interfaces.IPersistent._p_state"]], "cache_data (persistent.interfaces.ipicklecache attribute)": [[4, "persistent.interfaces.IPickleCache.cache_data"]], "cache_drain_resistance (persistent.interfaces.ipicklecache attribute)": [[4, "persistent.interfaces.IPickleCache.cache_drain_resistance"]], "cache_klass_count (persistent.interfaces.ipicklecache attribute)": [[4, "persistent.interfaces.IPickleCache.cache_klass_count"]], "cache_non_ghost_count (persistent.interfaces.ipicklecache attribute)": [[4, "persistent.interfaces.IPickleCache.cache_non_ghost_count"]], "cache_size (persistent.interfaces.ipicklecache attribute)": [[4, "persistent.interfaces.IPickleCache.cache_size"]], "debug_info() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.debug_info"]], "full_sweep() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.full_sweep"]], "get() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.get"]], "incrgc() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.incrgc"]], "invalidate() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.invalidate"]], "items() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.items"]], "klass_items() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.klass_items"]], "lru_items() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.lru_items"]], "minimize() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.minimize"]], "module": [[4, "module-persistent.interfaces"]], "new_ghost() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.new_ghost"]], "oldstate() (persistent.interfaces.ipersistentdatamanager method)": [[4, "persistent.interfaces.IPersistentDataManager.oldstate"]], "persistent.interfaces": [[4, "module-persistent.interfaces"]], "register() (persistent.interfaces.ipersistentdatamanager method)": [[4, "persistent.interfaces.IPersistentDataManager.register"]], "ringlen() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.ringlen"]], "setstate() (persistent.interfaces.ipersistentdatamanager method)": [[4, "persistent.interfaces.IPersistentDataManager.setstate"]], "update_object_size_estimation() (persistent.interfaces.ipicklecache method)": [[4, "persistent.interfaces.IPickleCache.update_object_size_estimation"]], "activation": [[6, "term-activation"]], "data manager": [[6, "term-data-manager"]], "deactivation": [[6, "term-deactivation"]], "ghost": [[6, "term-ghost"]], "invalidation": [[6, "term-invalidation"]], "jar": [[6, "term-jar"]], "object cache": [[6, "term-object-cache"]], "pickled data": [[6, "term-pickled-data"]], "volatile attribute": [[6, "term-volatile-attribute"]]}})